/*-
 * ~~~~~~licensing~~~~~~
 * events-rest
 * ==========
 * Copyright (C) 2020 - 2021 EmDev LLC
 * ==========
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *      http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * ~~~~~~/licensing~~~~~~
 */
package ru.entaxy.esb.system.core.events.rest.exception;

public class SubscriptionNotFound extends Exception {

    private static final long serialVersionUID = 1438059417921228582L;

    public SubscriptionNotFound() {
        super();
    }

    public SubscriptionNotFound(String message, Throwable cause, boolean enableSuppression,
                                boolean writableStackTrace) {
        super(message, cause, enableSuppression, writableStackTrace);
    }

    public SubscriptionNotFound(String message, Throwable cause) {
        super(message, cause);
    }

    public SubscriptionNotFound(String message) {
        super(message);
    }

    public SubscriptionNotFound(Throwable cause) {
        super(cause);
    }

}
